import { type ComponentProps } from 'react'

import { type RootStylesProps, rootStyles } from './Textarea.styles'

type TextareaProps = ComponentProps<'textarea'> & RootStylesProps

function Textarea({ sizes, className, children, ...props }: TextareaProps) {
	return (
		<textarea className={rootStyles({ sizes, className })} {...props}>
			{children}
		</textarea>
	)
}

export { Textarea }
